NewWacht Bench is live — AI-assisted development for Wacht

List Thread Filesystem Entries

GET
/ai/threads/{thread_id}/filesystem

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

thread_id*string

Query Parameters

path?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/ai/threads/string/filesystem"
{
  "status": 0,
  "message": "string",
  "data": {
    "exists": true,
    "files": [
      {
        "path": "string",
        "name": "string",
        "is_dir": true,
        "size_bytes": 0,
        "modified_at": "2019-08-24T14:15:22Z"
      }
    ],
    "mounts": [
      {
        "mount_path": "string",
        "mode": "string",
        "description": "string"
      }
    ]
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}